Subject: bug#52417: Mark ring navigation could be two-way

From: Dmitry Gutov <[email-masked]>
Date: Mon, 13 Dec 2021 18:15:47 +0300

On 13.12.2021 11:44, Juri Linkov wrote:
> Another idea: add a command that will display a*xref*  buffer
> with lines of locations extracted from the global-mark-ring.
> This will allow visiting mark locations from the mark list.
> Maybe this can be implemented by just adding a new xref backend?
> 

An Xref backend is something used automatically. This one would shadow 
some "real" backends that provide code navigation, for example.

But we could have a command which lists the entries from 
global-mark-ring in an Xref results buffer, allowing navigation across 
them, or jumping to a specific one.

But I guess one problem is xref--show-xrefs also pushes mark to mark 
ring (including the global one). So using the aforementioned command 
would automatically alter its results list.

But maybe it's not too much of a problem.